GWENVIEW(1)

NAME
Gwenview - An image viewer for KDE

SYNOPSIS
gwenview [options] [file or folder]

DESCRIPTION
Gwenview is an image viewer for KDE. It features a folder tree window and a file list window to provide easy navigation of your file hierarchy. Gwenview uses docked windows, so you can alter its layout any way you wish. You can also browse your images in full-screen mode, or embedded within Konqueror using the Gwenview Image Browser View and Kpart.

Image loading is handled by the Qt library, so Gwenview supports all image formats your Qt installation supports. Gwenview correctly displays images with an alpha channel.

Gwenview supports the displaying and editing of EXIF comments, if the necessary JPEG kfile-plugin is installed. This comes as part of the kdegraphics package. Lossless JPEG transforms are also supported.

OPTIONS

  Arguments:

file or folder
    An initial image file, or a folder containing images.

  Gwenview options:

-f  Start in Full Screen mode.

  Generic options:

--help
    Show help about options.

--help-qt
    Show Qt specific options.

--help-kde
    Show KDE specific options.

--help-all
    Show all options.

--author
    Show author information.

-v, --version
    Show version information.

--license
    Show license information.

--  End of options.

  Qt options:

--display displayname
    Use the X-server display 'displayname'.

--session sessionId
    Restore the application for the given 'sessionId'.

--cmap
    Causes the application to install a private color map on an 8-bit display.

--ncols count
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification.

--nograb
    Tells Qt to never grab the mouse or the keyboard.

--dograb
    Running under a debugger can cause an implicit -nograb, use -dograb to override.

--sync
    Switches to synchronous mode for debugging.

--fn, --font fontname
    Defines the application font.

--bg, --background color
    Sets the default background color and an application palette (light and dark shades are calculated).

--fg, --foreground color
    Sets the default foreground color.

--btn, --button color
    Sets the default button color.

--name name
    Sets the application name.

--title title
    Sets the application title (caption).

--visual TrueColor
    Forces the application to use a TrueColor visual on an 8-bit display.

--inputstyle inputstyle
    Sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root.

--im XIM server
    Set XIM server.

--noxim
    Disable XIM.

--reverse
    Mirrors the whole layout of widgets.

  KDE options:

--caption caption
    Use 'caption' as name in the titlebar.

--icon icon
    Use 'icon' as the application icon.

--miniicon icon
    Use 'icon' as the icon in the titlebar.

--config filename
    Use alternative configuration file.

--dcopserver server
    Use the DCOP Server specified by 'server'.

--nocrashhandler
    Disable crash handler, to get core dumps.

--waitforwm
    Waits for a WM_NET compatible windowmanager.

--style style
    Sets the application GUI style.

--geometry geometry
    Sets the client geometry of the main widget.

INTERFACE

  Browse and View modes
By default, Gwenview opens in Browse mode, with the docked windows (showing directory structure and contents) displayed. Starting Gwenview with a directory as an argument also begins in Browse mode. Starting with an image as an argument, however, opens Gwenview in View mode, with these docked windows hidden to give full space to the image itself.

Once Gwenview is started, the user can toggle between Browse and View modes by clicking the Browse button on the Main Toolbar. The same option can be found in the View menu. Ctrl-Return will toggle these modes as well.

Whereas normally, in Browse mode, single-clicking on an image thumbnail or listing is sufficient for Gwenview to display it, users also have the option of double-clicking, which displays the image and switches Gwenview to View mode.

  Docked windows
The Gwenview interface is composed of a number of smaller docked windows. Manipulating these windows can be difficult at first. To focus a particular window in the Gwenview interface, simply click within it.

Each docked window has a small grip bar along the top, with a dock/undock button resembling an arrow at its right end, as well as a close button resembling the letter X.

Clicking the close button on a docked window will remove it from the interface. To bring back a window, select it from the Window menu.

To resize docked windows, click on the border between the windows, and drag. To re-arrange the docked windows, click on a window's grip bar along its top, and drag the window over to the desired position relative to the other docked windows. While dragging, a small box outline should appear that indicates the new position that the window will take, when you release the mouse and end the drag. If you wish to stack two windows, and use tabs to choose between them, drag the window to the very center of the other window with which you wish to stack.

To undock a window, either click the dock/undock button in its top right corner, or double-click on the window's grip bar. Double-clicking again, or clicking on the dock/undock button, should return the window to its original position. Otherwise, you can dock an undocked window by dragging its grip bar back to a point within the general interface, just as if you were rearranging an already docked window.

The file view window cannot be undocked or moved, but by moving other windows around, it can itself be shifted about.

While dragging a window, press the Escape key to cancel the operation. To reset the docked windows to the default Gwenview layout, use the Reset option in the Window menu.

  Mouse operations
Browsing a directory of images can be done several ways, including mouse gestures. Hold down the left mouse button over an image, then click the right button to go to the next image. Hold down the right button, then click the left button to load the previous image.

Clicking the right mouse button on an image brings up a context menu.

Clicking the middle mouse button will toggle the auto zoom on/off.

Double-clicking on an image toggles Full Screen mode.

Holding down the left mouse button on an image allows you to scroll the image. By default, you can also scroll up and down an image by using the mouse wheel. However, this can be configured to browse the images in the current directory instead.

The mouse wheel, used while holding down the Shift key, will zoom the image in and out.

The mouse wheel, used while holding down the Control or Alt keys, will scroll the image horizontally.

  Keybindings
Gwenview comes with a range of keyboard shortcuts, all of which can be viewed and remapped by selecting "Configure Shortcuts" in the Settings menu. Note that in the Files and Folders windows, all the normal KDE shortcuts are functional, unless otherwise remapped.

A few of the most useful default bindings are:

  Ctrl-Shift-F Toggles Full Screen mode.
  Escape Stop, exit from Full Screen mode.
  Home Displays the first image in the directory.
  End Displays the last image in the directory.
  Space Displays the next image in the directory.
  Backspace Displays the previous image in the directory.

SEE ALSO
The Gwenview homepage can be found at http://gwenview.sourceforge.net.

A mailing list is also available at http://lists.sourceforge.net/lists/listinfo/gwenview-general.

BUGS
To report a bug, please visit http://bugs.kde.org.

AUTHOR
Gwenview was written by Aurelien Gateau <aurelien.gateau@free.fr>.

This manual page was written by Christopher Martin <chrsmrtn@freeshell.org> for Debian GNU/Linux, but may be used by others.